package com.example.haiwei_mom.adapter.check;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.databinding.DataBindingUtil;
import androidx.recyclerview.widget.RecyclerView;

import com.example.haiwei_mom.BR;
import com.example.haiwei_mom.R;
import com.example.haiwei_mom.databinding.ItemDisposalBinding;
import com.example.haiwei_mom.data.check.CheckActivitieBeen;

import java.util.List;

/**
 * @author wanghao
 * @date 2024/3/12  14:32
 */
public class DisposalInfoAdapter extends RecyclerView.Adapter<DisposalInfoAdapter.MyViewHoder> {

    private Context context;
    private List<CheckActivitieBeen> list;
private    LayoutInflater from;
    public DisposalInfoAdapter(Context context) {
        this.context = context;

        from = LayoutInflater.from(context);
    }

    public void setList(List<CheckActivitieBeen> list) {
        this.list = list;
    }

    @NonNull
    @Override
    public MyViewHoder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
       ItemDisposalBinding binding= DataBindingUtil.inflate(from, R.layout.item_disposal,parent,false);
        return new MyViewHoder(binding);
    }

    @Override
    public void onBindViewHolder(@NonNull MyViewHoder holder, int position) {
        holder.binding.setVariable(BR.vm,list.get(position));
    }

    @Override
    public int getItemCount() {
        return list==null?0:list.size();
    }

    public static class MyViewHoder extends RecyclerView.ViewHolder{
        private ItemDisposalBinding binding;
        public MyViewHoder(ItemDisposalBinding binding) {
            super(binding.getRoot());
            this.binding=binding;
        }
    }
}
