package com.example.haiwei_mom.data;



import java.util.List;

/**
 * 登录租户对象
 *
 * @author Michelle.Chung
 */

public class LoginTenantVo {

    /**
     * 租户开关
     */
    private Boolean tenantEnabled;

    /**
     * 租户对象列表
     */
    private List<TenantListVo> voList;

    public Boolean getTenantEnabled() {
        return tenantEnabled;
    }

    public void setTenantEnabled(Boolean tenantEnabled) {
        this.tenantEnabled = tenantEnabled;
    }

    public List<TenantListVo> getVoList() {
        return voList;
    }

    public void setVoList(List<TenantListVo> voList) {
        this.voList = voList;
    }

    /**
     * 租户列表
     *
     * @author zhujie
     */

    public static class TenantListVo {

        /**
         * 租户编号
         */
        private String tenantId;

        /**
         * 企业名称
         */
        private String companyName;

        /**
         * 域名
         */
        private String domain;

        public String getTenantId() {
            return tenantId;
        }

        public void setTenantId(String tenantId) {
            this.tenantId = tenantId;
        }

        public String getCompanyName() {
            return companyName;
        }

        public void setCompanyName(String companyName) {
            this.companyName = companyName;
        }

        public String getDomain() {
            return domain;
        }

        public void setDomain(String domain) {
            this.domain = domain;
        }
    }
}
