package com.example.haiwei_mom.data.device;

import androidx.databinding.BaseObservable;

import java.util.List;

/**
 * @author wanghao
 * @date 2024/3/20  16:32
 */
public class DeviceInspection extends BaseObservable {

    /**
     * inspectInstanceId : 7
     * billsInspectCode : 123
     * createTime : 2024-02-19 17:35:43
     * inspectType : 1
     * inspectStatus : 1
     * routeName : 测试线路1
     */

    private Long inspectInstanceId;
    private String billsInspectCode;
    private String createTime;
    private String inspectType;
    private String inspectStatus;
    private String inspectStatusName;
    private String routeName;
    private List<DeviceInspectionDetail> dmsInspectInstanceDetailList;


    public String getInspectStatusName() {
        switch (inspectStatus) {
            case "1":
                inspectStatusName = "待巡检";
                break;
            case "2":
                inspectStatusName = "巡检中";
                break;
            case "3":
                inspectStatusName = "已完成";
                break;

        }
        return inspectStatusName;
    }


    public Long getInspectInstanceId() {
        return inspectInstanceId;
    }

    public void setInspectInstanceId(Long inspectInstanceId) {
        this.inspectInstanceId = inspectInstanceId;
    }

    public String getBillsInspectCode() {
        return billsInspectCode;
    }

    public void setBillsInspectCode(String billsInspectCode) {
        this.billsInspectCode = billsInspectCode;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getInspectType() {
        return inspectType;
    }

    public void setInspectType(String inspectType) {
        this.inspectType = inspectType;
    }

    public String getInspectStatus() {
        return inspectStatus;
    }

    public void setInspectStatus(String inspectStatus) {
        this.inspectStatus = inspectStatus;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public List<DeviceInspectionDetail> getDmsInspectInstanceDetailList() {
        return dmsInspectInstanceDetailList;
    }

    public void setDmsInspectInstanceDetailList(List<DeviceInspectionDetail> dmsInspectInstanceDetailList) {
        this.dmsInspectInstanceDetailList = dmsInspectInstanceDetailList;
    }
}
