package com.example.haiwei_mom.data.device;

import androidx.databinding.BaseObservable;

/**
 * @author wanghao
 * @date 2024/3/21  16:03
 */
public class DeviceInspectionItem extends BaseObservable {

    /**
     * instanceDetailProjectId : null
     * defValue : 10
     * upLimit : 12
     * lowLimit : 9
     * inspectProjectProperty : 2
     * inspectProjectResult : 11
     * inspectProjectStatus :
     * inspectProjectDesc : 测试121
     */
    private int index;
    private Long instanceDetailProjectId;
    private double defValue;
    private double upLimit;
    private double lowLimit;
    private String inspectProjectProperty;
    private String inspectProjectName;
    /**
     * 值
     */
    private String inspectProjectResult;
    /**
     * 巡检结果 ，0 异常 1 正常
     */
    private String inspectProjectStatus;
    private String statusName;
    /**
     * 描述
     */
    private String inspectProjectDesc;

    public String getStatusName() {
        if (inspectProjectStatus==null)  return "";
        else if (inspectProjectStatus.equals("0"))
            return "异常";
        else if (inspectProjectStatus.equals("1")) return "正常";
        return "";
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public Long getInstanceDetailProjectId() {
        return instanceDetailProjectId;
    }

    public void setInstanceDetailProjectId(Long instanceDetailProjectId) {
        this.instanceDetailProjectId = instanceDetailProjectId;
    }

    public String getInspectProjectName() {
        return inspectProjectName;
    }

    public void setInspectProjectName(String inspectProjectName) {
        this.inspectProjectName = inspectProjectName;
    }

    public double getDefValue() {
        return defValue;
    }

    public void setDefValue(double defValue) {
        this.defValue = defValue;
    }

    public double getUpLimit() {
        return upLimit;
    }

    public void setUpLimit(double upLimit) {
        this.upLimit = upLimit;
    }

    public double getLowLimit() {
        return lowLimit;
    }

    public void setLowLimit(double lowLimit) {
        this.lowLimit = lowLimit;
    }

    public String getInspectProjectProperty() {
        return inspectProjectProperty;
    }

    public void setInspectProjectProperty(String inspectProjectProperty) {
        this.inspectProjectProperty = inspectProjectProperty;
    }

    public String getInspectProjectResult() {
        return inspectProjectResult;
    }

    public void setInspectProjectResult(String inspectProjectResult) {
        this.inspectProjectResult = inspectProjectResult;
    }

    public String getInspectProjectStatus() {
        return inspectProjectStatus;
    }

    public void setInspectProjectStatus(String inspectProjectStatus) {
        this.inspectProjectStatus = inspectProjectStatus;
    }

    public String getInspectProjectDesc() {
        return inspectProjectDesc;
    }

    public void setInspectProjectDesc(String inspectProjectDesc) {
        this.inspectProjectDesc = inspectProjectDesc;
    }

    @Override
    public String toString() {
        return "DeviceInspectionItem{" +
                "index=" + index +
                ", instanceDetailProjectId=" + instanceDetailProjectId +
                ", defValue=" + defValue +
                ", upLimit=" + upLimit +
                ", lowLimit=" + lowLimit +
                ", inspectProjectProperty='" + inspectProjectProperty + '\'' +
                ", inspectProjectName='" + inspectProjectName + '\'' +
                ", inspectProjectResult='" + inspectProjectResult + '\'' +
                ", inspectProjectStatus='" + inspectProjectStatus + '\'' +
                ", inspectProjectDesc='" + inspectProjectDesc + '\'' +
                '}';
    }
}
