package com.example.haiwei_mom.data;

import android.view.View;
import android.widget.AdapterView;

import androidx.databinding.BaseObservable;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wanghao
 * @date 2023/12/21  14:00
 */
public class LoginVm extends BaseObservable {
    private String username;
    private String password;
    private boolean remember;
    String clientId ="428a8310cd442757ae699df5d894f051";
    String grantType = "password";

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
        notifyChange();
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
        notifyChange();
    }


    public boolean isRemember() {
        return remember;
    }

    public void setRemember(boolean remember) {
        this.remember = remember;
        notifyChange();
    }


    private List<LoginTenantVo.TenantListVo> voList;
    private List<String> names;

    public List<LoginTenantVo.TenantListVo> getVoList() {
        return voList;
    }

    public void setVoList(List<LoginTenantVo.TenantListVo> voList) {
        this.voList = voList;
        names = new ArrayList<>(voList.size());
        voList.forEach(t -> names.add(t.getCompanyName()));
        notifyChange();
    }

    public List<String> getNames() {
        return names;
    }

    private String tenantId;

    public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {

        tenantId = voList.get(position).getTenantId();
    }
}
