package com.example.haiwei_mom.data;


import androidx.databinding.BaseObservable;

/**
 * 入库单-物料打印条码视图对象 wms_instock_print
 *
 * @author LionLi
 * @date 2025-01-07
 */

public class RawInstock extends BaseObservable {



    /**
     * 入库单子表主键
     */
    
    private Long instockPrintId;

    /**
     * 入库单号
     */
    
    private String instockCode;

    /**
     * 批次码
     */
    
    private String batchCode;

    /**
     * 条码数量
     */
    
    private double materialQty;

    /**
     * 分包数量
     */
    
    private Long apportionQty;

    /**
     * 物料id
     */
    
    private Long materialId;

    /**
     * 物料编码
     */
    
    private String materialCode;

    /**
     * 物料名称
     */
    
    private String materialName;

    /**
     * 物料规格
     */
    
    private String materialSpe;

    /**
     * 计量单位名称
     */
    
    private String unitName;

    public double getMaterialQty() {
        return materialQty;
    }

    public void setMaterialQty(double materialQty) {
        this.materialQty = materialQty;
        notifyChange();
    }

    /**
     * 物料大类
     */
    
    private String materialCategories;

    public String getInstockCode() {
        return instockCode;
    }

    public Long getMaterialId() {
        return materialId;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public String getMaterialSpe() {
        return materialSpe;
    }

    public String getUnitName() {
        return unitName;
    }
    private String locationCode;
    private String instockQty;

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
        notifyChange();
    }

    public String getInstockQty() {
        return instockQty;
    }

    public void setInstockQty(String instockQty) {
        this.instockQty = instockQty;
        notifyChange();
    }
}
