package com.example.haiwei_mom.data;

import androidx.databinding.BaseObservable;

import com.example.haiwei_mom.base.BaseActivity;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Observable;

public class SemiInVo extends BaseObservable {
    // private String
    private Long objId;

    /**
     * 流水卡号
     */
    private String cardNo;

    /**
     * 工装架子号
     */
    private String shelfNo;

    /**
     * 库位id
     */
    private Long storePlaceId;

    /**
     * 品级编号,0:合格,1:不合格
     */
    private String gradeCode;

    /**
     * 产品类别：0：半成品，1：成型
     */
    private String productCategory;

    /**
     * 物料
     */
    private Long materialId;

    /**
     * 物料规格
     */
    private String materialSpec;
    private String materialCode;

    /**
     * 入库类型,0:半制品产出,2:入半制品线边库3:入成型线边库
     */
    private String instockType;

    private String createBy;

    private String createTime;

    private double instockNum;
    private String storePlaceCode;
    private String unitName;


    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getShelfNo() {
        return shelfNo;
    }
    public void setShelfNo(String shelfNo) {
        this.shelfNo= shelfNo;
        notifyChange();
    }

    public String getMaterialSpec() {
        return materialSpec;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public double getInstockNum() {
        return instockNum;
    }

    public String getUnitName() {
        return unitName;
    }


    public String getStorePlaceCode() {
        return storePlaceCode;
    }

    public void setStorePlaceCode(String storePlaceCode) {
        this.storePlaceCode = storePlaceCode;notifyChange();
    }
}
