package com.example.haiwei_mom.data;

import java.util.Date;

/**
 * 库存盘点对象 wms_inventory_check
 *
 * @author LionLi
 * @date 2025-01-10
 */

public class WmsInventoryCheck {


    private static final long serialVersionUID = 1L;

    /**
     * 表主键
     */
    private Long inventoryCheckId;

    /**
     * 盘点单号
     */
    private String checkCode;

    /**
     * 物料大类
     */
    private String materialCategories;

    /**
     * 计划仓库ID
     */
    private Long planWarehouseId;

    /**
     * 盘点类型（1全部，2货架，3物料））
     */
    private String checkType;

    /**
     * 盘点状态（0计划，2盘点中，3盘点完成）
     */
    private String checkStatus;


    /**
     * 审核状态(0待审核,1审核通过,2审核未通过)
     */
    private String auditStatus;

    /**
     * 审核意见
     */
    private String auditComments;

    /**
     * 开始时间
     */
    private Date beginTime;

    /**
     * 结束时间
     */
    private Date endTime;

    public String getCheckCode() {
        return checkCode;
    }
}
