package com.example.haiwei_mom.data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;



/**
 * 物料库存视图对象 wms_inventory
 *
 * @author LionLi
 * @date 2025-01-07
 */

public class WmsInventoryVo  {




    /**
     * 表主键
     */

    private Long inventoryId;

    /**
     * 批次码
     */

    private String batchCode;

    /**
     * 物料id
     */

    private Long materialId;

    /**
     * 库位编码
     */

    private String locationCode;

    /**
     * 物料大类
     */

    private Long materialCategories;

    /**
     * 库存数量
     */

    private BigDecimal inventoryQty;

    /**
     * 锁定状态（0未锁定，1锁定）
     */

    private String lockState;

    /**
     * 库存状态（0库存归0，1正常）
     */

    private String inventoryStatus;

    /**
     * 仓库ID
     */

    private Long storeId;



    private String warehouseCode;//字段映射
    private String materialCode;//字段映射
    private String materialName;//字段映射
    private String warehouseId;

    public Long getInventoryId() {
        return inventoryId;
    }

    public void setInventoryId(Long inventoryId) {
        this.inventoryId = inventoryId;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public Long getMaterialId() {
        return materialId;
    }

    public void setMaterialId(Long materialId) {
        this.materialId = materialId;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public Long getMaterialCategories() {
        return materialCategories;
    }

    public void setMaterialCategories(Long materialCategories) {
        this.materialCategories = materialCategories;
    }

    public BigDecimal getInventoryQty() {
        return inventoryQty;
    }

    public void setInventoryQty(BigDecimal inventoryQty) {
        this.inventoryQty = inventoryQty;
    }

    public String getLockState() {
        return lockState;
    }

    public void setLockState(String lockState) {
        this.lockState = lockState;
    }

    public String getInventoryStatus() {
        return inventoryStatus;
    }

    public void setInventoryStatus(String inventoryStatus) {
        this.inventoryStatus = inventoryStatus;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }
}
