package com.example.haiwei_mom.data.device;

import java.util.List;

/**
 * @author wanghao
 * @date 2024/3/20  16:33
 */
public class DeviceInspectionDetail {


    private Long instanceDetailId;
    private Long inspectInstanceId;
    private Long deviceId;
    /**
     * 点巡检状态：1-待巡检；2-巡检中；3-已完成
     */
    private String instanceDetailStatus;
    private String instanceDetailStatusName;
    /**
     * 巡检描述
     */
    private String inspectDesc;
    /**
     * 设备状态 1正常 0异常
     */
    private String inspectStatus;
    private String deviceCode;
    private String deviceName;

    private List<DeviceInspectionItem> dmsInspectInstanceDetailProjectList;

    public String getInstanceDetailStatusName() {
        switch (instanceDetailStatus) {
            case "1":
                instanceDetailStatusName = "待巡检";
                break;
            case "2":
                instanceDetailStatusName = "巡检中";
                break;
            case "3":
                instanceDetailStatusName = "已完成";
                break;

        }
        return instanceDetailStatusName;
    }

    public List<DeviceInspectionItem> getDmsInspectInstanceDetailProjectList() {
        return dmsInspectInstanceDetailProjectList;
    }

    public void setDmsInspectInstanceDetailProjectList(List<DeviceInspectionItem> dmsInspectInstanceDetailProjectList) {
        this.dmsInspectInstanceDetailProjectList = dmsInspectInstanceDetailProjectList;
    }

    public Long getInstanceDetailId() {
        return instanceDetailId;
    }

    public void setInstanceDetailId(Long instanceDetailId) {
        this.instanceDetailId = instanceDetailId;
    }

    public Long getInspectInstanceId() {
        return inspectInstanceId;
    }

    public void setInspectInstanceId(Long inspectInstanceId) {
        this.inspectInstanceId = inspectInstanceId;
    }

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public String getInstanceDetailStatus() {
        return instanceDetailStatus;
    }

    public void setInstanceDetailStatus(String instanceDetailStatus) {
        this.instanceDetailStatus = instanceDetailStatus;
    }



    public String getInspectDesc() {
        return inspectDesc;
    }

    public void setInspectDesc(String inspectDesc) {
        this.inspectDesc = inspectDesc;
    }

    public String getInspectStatus() {
        return inspectStatus;
    }

    public void setInspectStatus(String inspectStatus) {
        this.inspectStatus = inspectStatus;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }
}
