package com.example.haiwei_mom.data.device;

import java.util.List;

/**
 * @author wanghao
 * @date 2024/3/29  16:02
 */
public class LubricationBeen {

    /**
     * createBy : null
     * createTime : null
     * updateBy : null
     * updateTime : null
     * remark : null
     * lubeInstanceId : 1
     * planLubeId : null
     * billsLubeCode : 1111
     * planBeginTime : null
     * realBeginTime : null
     * planEndTime : null
     * realEndTime : null
     * lubeStatus : 2
     * isFlag : null
     * lubeGroup : 23
     * lubeSupervisor : 233
     * lubeLevel : 1
     * lubeStatusStr : null
     * dmsBillsLubeDetailList : []
     */

    private Long lubeInstanceId;
    private String billsLubeCode;
    private Long lubeStatus;
    private String lubeGroup;
    private String lubeSupervisor;
    private Long lubeLevel;
    private String lubeStatusStr;
    // 显示
    private String lubeLevelName;
    private String maintStatusStr;

    public String getLubeLevelName() {
        if (lubeLevel == null) return "";
        if (lubeLevel == 1) {
            return "日常润滑";
        } else if (lubeLevel == 2) {
            return "月度润滑";
        } else if (lubeLevel == 3) {
            return "年度润滑";
        }
        return lubeLevelName;
    }

    public String getMaintStatusStr() {
        if (lubeStatus == null) return "null";
        if (lubeStatus == 1) {
            return "待润滑";
        } else if (lubeStatus == 2) {
            return "润滑中";
        } else if (lubeStatus == 3) {
            return "润滑完成";
        }

        return maintStatusStr;
    }

    private List<LubricationDetail> dmsBillsLubeDetailList;

    public Long getLubeInstanceId() {
        return lubeInstanceId;
    }

    public void setLubeInstanceId(Long lubeInstanceId) {
        this.lubeInstanceId = lubeInstanceId;
    }

    public String getBillsLubeCode() {
        return billsLubeCode;
    }

    public void setBillsLubeCode(String billsLubeCode) {
        this.billsLubeCode = billsLubeCode;
    }

    public Long getLubeStatus() {
        return lubeStatus;
    }

    public void setLubeStatus(Long lubeStatus) {
        this.lubeStatus = lubeStatus;
    }

    public String getLubeGroup() {
        return lubeGroup;
    }

    public void setLubeGroup(String lubeGroup) {
        this.lubeGroup = lubeGroup;
    }

    public String getLubeSupervisor() {
        return lubeSupervisor;
    }

    public void setLubeSupervisor(String lubeSupervisor) {
        this.lubeSupervisor = lubeSupervisor;
    }

    public Long getLubeLevel() {

        return lubeLevel;
    }

    public void setLubeLevel(Long lubeLevel) {
        this.lubeLevel = lubeLevel;
    }

    public String getLubeStatusStr() {
        return lubeStatusStr;
    }

    public void setLubeStatusStr(String lubeStatusStr) {
        this.lubeStatusStr = lubeStatusStr;
    }

    public List<LubricationDetail> getDmsBillsLubeDetailList() {
        return dmsBillsLubeDetailList;
    }

    public void setDmsBillsLubeDetailList(List<LubricationDetail> dmsBillsLubeDetailList) {
        this.dmsBillsLubeDetailList = dmsBillsLubeDetailList;
    }
}
