package com.example.haiwei_mom.dialog;

import android.app.Dialog;
import android.content.Context;
import android.view.LayoutInflater;

import androidx.annotation.NonNull;
import androidx.databinding.DataBindingUtil;

import com.bumptech.glide.Glide;
import com.example.haiwei_mom.R;
import com.example.haiwei_mom.databinding.DialogImgBinding;

/**
 * @author wanghao
 * @date 2024/2/22  11:07
 */
public class ImgDialog extends Dialog {
    private DialogImgBinding binding;

    private Context context;

    public void setRawReturn(String url) {
        Glide.with(context).load(url).into(binding.dialogImg);
        binding.executePendingBindings();
        show();

    }

    public ImgDialog(@NonNull Context context) {
        super(context,R.style.dialog_style);
        this.context=context;
        binding = DataBindingUtil.inflate(LayoutInflater.from(context), R.layout.dialog_img, null, false);
        setContentView(binding.getRoot());
        binding.dialogImgDis.setOnClickListener(v -> dismiss());
    }


}
